Passer au contenu principal
PATCH
/
automation
/
actions
/
2026-03
/
{appId}
/
{definitionId}
Mettre à jour une définition d'action existante
curl --request PATCH \
  --url https://api.hubapi.com/automation/actions/2026-03/{appId}/{definitionId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "actionUrl": "<string>",
  "executionRules": [
    {
      "conditions": {},
      "labelName": "<string>"
    }
  ],
  "inputFieldDependencies": [
    {
      "controllingFieldName": "<string>",
      "dependencyType": "SINGLE_FIELD",
      "dependentFieldNames": [
        "<string>"
      ]
    }
  ],
  "inputFields": [
    {
      "isRequired": true,
      "typeDefinition": {
        "name": "<string>",
        "options": [
          {
            "label": "<string>",
            "value": "<string>",
            "description": "<string>",
            "displayOrder": 123
          }
        ],
        "type": "bool",
        "description": "<string>",
        "fieldType": "booleancheckbox",
        "helpText": "<string>",
        "label": "<string>",
        "optionsUrl": "<string>",
        "referencedObjectType": "OWNER"
      },
      "supportedValueTypes": [
        "STATIC_VALUE"
      ]
    }
  ],
  "labels": {},
  "objectTypes": [
    "<string>"
  ],
  "outputFields": [
    {
      "typeDefinition": {
        "externalOptions": true,
        "name": "<string>",
        "options": [
          {
            "description": "<string>",
            "displayOrder": 123,
            "doubleData": 123,
            "hidden": true,
            "label": "<string>",
            "readOnly": true,
            "value": "<string>"
          }
        ],
        "schema": {
          "type": "INTEGER",
          "maximum": 123,
          "minimum": 123
        },
        "type": "bool",
        "useChirp": true,
        "description": "<string>",
        "externalOptionsReferenceType": "<string>",
        "fieldType": "booleancheckbox",
        "helpText": "<string>",
        "label": "<string>",
        "optionsUrl": "<string>",
        "referencedObjectType": "ABANDONED_CART"
      }
    }
  ],
  "published": true
}
'
{
  "actionUrl": "<string>",
  "functions": [
    {
      "functionType": "POST_ACTION_EXECUTION",
      "id": "<string>"
    }
  ],
  "id": "<string>",
  "inputFields": [
    {
      "isRequired": true,
      "typeDefinition": {
        "name": "<string>",
        "options": [
          {
            "label": "<string>",
            "value": "<string>",
            "description": "<string>",
            "displayOrder": 123
          }
        ],
        "type": "bool",
        "description": "<string>",
        "fieldType": "booleancheckbox",
        "helpText": "<string>",
        "label": "<string>",
        "optionsUrl": "<string>",
        "referencedObjectType": "OWNER"
      },
      "supportedValueTypes": [
        "STATIC_VALUE"
      ]
    }
  ],
  "labels": {},
  "objectTypes": [
    "<string>"
  ],
  "published": true,
  "revisionId": "<string>",
  "archivedAt": 123,
  "executionRules": [
    {
      "conditions": {},
      "labelName": "<string>"
    }
  ],
  "inputFieldDependencies": [
    {
      "controllingFieldName": "<string>",
      "dependencyType": "SINGLE_FIELD",
      "dependentFieldNames": [
        "<string>"
      ]
    }
  ],
  "objectRequestOptions": {
    "properties": [
      "<string>"
    ]
  },
  "outputFields": [
    {
      "typeDefinition": {
        "externalOptions": true,
        "name": "<string>",
        "options": [
          {
            "description": "<string>",
            "displayOrder": 123,
            "doubleData": 123,
            "hidden": true,
            "label": "<string>",
            "readOnly": true,
            "value": "<string>"
          }
        ],
        "schema": {
          "type": "INTEGER",
          "maximum": 123,
          "minimum": 123
        },
        "type": "bool",
        "useChirp": true,
        "description": "<string>",
        "externalOptionsReferenceType": "<string>",
        "fieldType": "booleancheckbox",
        "helpText": "<string>",
        "label": "<string>",
        "optionsUrl": "<string>",
        "referencedObjectType": "ABANDONED_CART"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

appId
integer<int32>
requis
definitionId
string
requis

Corps

application/json
actionUrl
string

Le point de terminaison URL où l'action est exécutée.

executionRules
object[]
inputFieldDependencies
(SINGLE_FIELD · object | CONDITIONAL_SINGLE_FIELD · object)[]
inputFields
object[]
labels
object

Contient les libellés de l'action, y compris les noms et les descriptions.

objectRequestOptions
object
objectTypes
string[]
outputFields
object[]
published
boolean

Indique si l'action est publiée et disponible à l'utilisation.

Réponse

successful operation

actionUrl
string
requis
functions
object[]
requis
id
string
requis
inputFields
object[]
requis
labels
object
requis
objectTypes
string[]
requis
published
boolean
requis
revisionId
string
requis
archivedAt
integer<int64>
executionRules
object[]
inputFieldDependencies
(SINGLE_FIELD · object | CONDITIONAL_SINGLE_FIELD · object)[]
objectRequestOptions
object
outputFields
object[]
Last modified on April 13, 2026